Module java.naming
Package javax.naming.event

## Class NamingExceptionEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.naming.event.NamingExceptionEvent

All Implemented Interfaces:
  `Serializable`

    public class NamingExceptionEvent
    extends EventObject

This class represents an event fired when the procedures/processes used to collect information for notifying listeners of `NamingEvent`s threw a `NamingException`. This can happen, for example, if the server which the listener is using aborts subsequent to the `addNamingListener()` call.

Since:
  1.3
See Also:
  `NamingListener.namingExceptionThrown(javax.naming.event.NamingExceptionEvent)`, `EventContext`, Serialized Form

### Field Summary

### Fields declared in class java.util.EventObject

`source`

### Constructor Summary

Constructors
`NamingExceptionEvent​(EventContext source, NamingException exc)` Constructs an instance of `NamingExceptionEvent` using the context in which the `NamingException` was thrown and the exception that was thrown.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispatch​(NamingListener listener)` Invokes the `namingExceptionThrown()` method on a listener using this event.
`EventContext` `getEventContext()` Retrieves the `EventContext` that fired this event.
`NamingException` `getException()` Retrieves the exception that was thrown.

### Methods declared in class java.util.EventObject

`getSource, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NamingExceptionEvent

    public NamingExceptionEvent​(EventContext source,
                                NamingException exc)

Constructs an instance of `NamingExceptionEvent` using the context in which the `NamingException` was thrown and the exception that was thrown.

Parameters:
  `source` - The non-null context in which the exception was thrown.
  `exc` - The non-null `NamingException` that was thrown.

### Method Detail

#### getException

    public NamingException getException()

Retrieves the exception that was thrown.

Returns:
  The exception that was thrown.

#### getEventContext

    public EventContext getEventContext()

Retrieves the `EventContext` that fired this event. This returns the same object as `EventObject.getSource()`.

Returns:
  The non-null `EventContext` that fired this event.

#### dispatch

    public void dispatch​(NamingListener listener)

Invokes the `namingExceptionThrown()` method on a listener using this event.

Parameters:
  `listener` - The non-null naming listener on which to invoke the method.